Subject: bug#56905: Question about Flycheck in Emacs 28.1

From: Matt Armstrong <[email-masked]>
Date: Wed, 03 Aug 2022 11:49:44 -0700

Emily Seville <[email-masked]> writes:

> Hello! I need help with flycheck setup. If anybody knows how to solve this
> problem please let me know. Many thanks!
>
> I wanna enable sh-posix-dash and sh-posix-dash checkers, but when I press C-u
> C-c ! x (in *Flycheck checkers*) I obtain x is undefined or X is undefined.
> I don't understand why it happens.
>
> Note that: *Flycheck checkers* buffer is opened via M-x
> flycheck-verify-setup.
>
> Flycheck version: 33snapshot (package: 20220729.1039)
> Emacs version:    28.1
> System:           x86_64-pc-linux-gnu
> Window system:    nil

Hi Emily, I am sorry you are having some trouble with flycheck.
Flycheck is not part of Emacs proper but instead an add-on package, so
the people most able to help you are not here.

See https://www.flycheck.org/ and perhaps
https://www.flycheck.org/en/latest/community/get-help.html for where you
might be able to get more help.